wiki:kdelibs

Version 5 (modified by robert@…, 13 years ago) ( diff )

--

Kdelibs

If you are planning to install KDE, this web page might prove useful:

KDE requirements and dependencies

It lists all dependencies for KDE (much like the BLFS book), but it explains what's the effect of each dependency on the capabilities of KDE, and which specific KDE packages are affected.

Bear in mind that this page has been reported to be severely out of date in the past. It seems to be current as of the release of KDE 3.5.2 (April 2006), but make sure to double-check.

Using a newer version of libart_lgpl then 2.3.17 (at least with version 2.3.19) will result in a lot of unresolved symbols while compiling the kdecore subdirectory.

This patch: http://www.linuxfromscratch.org/~robert/new/patches/kdelibs-3.5.9-mkdtemp.diff replaces mktemp(3) with mkdtemp(3), from kde-svn.

Up
Top

Note: See TracWiki for help on using the wiki.